
puts "Hi, start batch work ..."

create_project prj_tcl_ex {prj} -force -part xc7a35ticsg324-1L 

###set_property board_part digilentinc.com:arty-a7-35:part0:1.0 [current_project]
add_files -fileset constrs_1 -norecurse {src/design_top.xdc}
add_files -norecurse {src/led_core.v}
add_files -norecurse {src/design_top.v}
update_compile_order -fileset sources_1
add_files -fileset sim_1 {src/TB_design_top.v}
update_compile_order -fileset sim_1

launch_runs synth_1 -jobs 4 -to_step synth_design
#wait_on_run synth_1
launch_runs impl_1 -to_step write_bitstream -jobs 4
#wait_on_run impl_1

set curr_runs [get_runs -filter {PROGRESS < 100}]
while {[string first {_1} $curr_runs] >0} {
	puts "Running: $curr_runs"
	after 5000
	set curr_runs [get_runs -filter {PROGRESS < 100}]
}

wait_on_run impl_1
open_run impl_1
set bitfile {design.bit}
write_bitstream -force $bitfile
puts "You bitfile location is: $bitfile"

close_project
puts "All work done, Googbye"

