`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 07.12.2021 17:09:23
// Design Name: 
// Module Name: TB_design_top
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module TB_design_top;
`timescale 1ns/100ps

reg         clk;
reg         rstn;   // active low
reg  [3:0]  btns;   // active high
wire [3:0]  leds;   // active high

initial begin
    clk =1'b0;
    forever
        #5 clk = ~clk; 
end

initial begin
    rstn = 1'b1;
    btns = 4'b0000;
    repeat (100) @(posedge clk);
    rstn = 1'b0;
    repeat (20) @(posedge clk);
    rstn = 1'b1;
    repeat (20) @(posedge clk);
    btns[1] = 1'b1;
    
end    

    
design_top DUT(
    .CLK100MHZ  (clk),
    .ck_rst     (rstn),
    .btn        (btns),
    .led        (leds)
);
    
    
    
endmodule
