module design_top(
    input  wire         CLK100MHZ,
    input  wire         ck_rst,
    input  wire [3:0]   btn,
    output wire [3:0]   led
);


led_top #( 
    .W      (24),
    .CODE   (24'hFFFF_FFFF_FFFF_FFFF_FFFE),
    .LW     (4)
) 
led_top_I(
    .clk        (CLK100MHZ),
    .rst        (!ck_rst),
    .clr        (btn[0]),
    .blnk       (btn[1]),
    .ishl       (btn[2]),
    .ishr       (btn[3]),
    .led_out    (led)
);


endmodule