
puts "global example"

proc swap_glbl {} {
	global opA
	global opB	

	set tmp $opA
	set opA $opB
	set opB $tmp
}


puts "upvar example"

proc swap_upvar {a b} {
	upvar $a op1
	upvar $b op2

	set tmp $op1
	set op1 $op2
	set op2 $tmp
}

set opA 5
set opB 10

puts "Before swap_glbl call: opA = $opA opB = $opB"
swap_glbl
puts "After swap_glbl call: opA = $opA opB = $opB"

puts "Before swap_upvar call: opA = $opA opB = $opB"
swap_upvar opA opB
puts "After swap_upvar call: opA = $opA opB = $opB"

